package com.qy.worksheetsystem.config;

/**
 * description: WeiXinUrlConfig <br>
 * date: 2022/3/7 14:57 <br>
 * author: lhbj <br>
 * version: 1.0 <br>
 */
public class WeiXinUrlConfig {
    /**
     * 构造网页授权链接
     * appid	是	企业的CorpID
     * redirect_uri	是	授权后重定向的回调链接地址，请使用urlencode对链接进行处理
     * response_type	是	返回类型，此时固定为：code
     * scope	是	应用授权作用域。企业自建应用固定填写：snsapi_base
     * state	否	重定向后会带上state参数，企业可以填写a-zA-Z0-9的参数值，长度不可超过128个字节
     * #wechat_redirect	是	终端使用此参数判断是否需要带上身份信息
     */
    public static final String authorize_URL="https://open.weixin.qq.com/connect/oauth2/authorize?response_type=code&scope=snsapi_base";

    /**
     * 获取access_token
     * corpid	是	企业ID，获取方式参考：术语说明-corpid
     * corpsecret	是	应用的凭证密钥，获取方式参考：术语说明-secret
     */
    public static final String gettoken_URL="https://qyapi.weixin.qq.com/cgi-bin/gettoken";
    /**
     * 获取访问用户身份
     * access_token	是	调用接口凭证
     * code	是	通过成员授权获取到的code，最大为512字节。每次成员授权带上的code将不一样，code只能使用一次，5分钟未被使用自动过期。
     */
    public static final String getuserinfo_URL=" https://qyapi.weixin.qq.com/cgi-bin/user/getuserinfo";
    /**
     * openid转换成userid接口
     * openid
     */
    public static final String convert_to_userid_URL = " https://qyapi.weixin.qq.com/cgi-bin/user/convert_to_userid";
    /**
     * 读取成员详细信息
     * openid转换成userid接口
     * openid
     */
    public static final String userGet_URL = "https://qyapi.weixin.qq.com/cgi-bin/user/get";

}
